import { ConfigMap } from "@pulumi/pulumi/automation";
import { config } from "@plutolang/base";
export type PlutoGlobalConfig = {
    [key: string]: unknown;
};
export declare function genPulumiConfigByRuntime(sta: config.Stack): Promise<ConfigMap>;
export declare function genPulumiConfigForAWS(): Promise<ConfigMap>;
interface AwsCredential {
    accessKeyId: string;
    secretAccessKey: string;
    sessionToken?: string;
}
export declare function readPlutoGlobalConfig(): PlutoGlobalConfig;
export declare function savePlutoGlobalConfig(plutoConfig: PlutoGlobalConfig): void;
export declare function createPlutoRole(): Promise<string>;
export declare function getAwsCredentialsFromAuthService(userId: string): Promise<AwsCredential>;
export declare function getAwsCredentialsFromLocal(): Promise<AwsCredential | undefined>;
export {};
